org.firebirdsql.jdbc

## Enum JdbcVersionSupportHolder

- java.lang.Object
- - java.lang.Enum<JdbcVersionSupportHolder>
  - - org.firebirdsql.jdbc.JdbcVersionSupportHolder

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JdbcVersionSupportHolder>

    public enum JdbcVersionSupportHolder
    extends java.lang.Enum<JdbcVersionSupportHolder>

Holder for the instance of `JdbcVersionSupport` to use.

This implementation is for JDBC 4.2 (and 4.3 for now).

Since:
  3.0
Author:
  Mark Rotteveel

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INSTANCE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`JdbcVersionSupport` `getJdbcVersionSupport()`
`static JdbcVersionSupportHolder` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JdbcVersionSupportHolder[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INSTANCE

    public static final JdbcVersionSupportHolder INSTANCE

### Method Detail

#### values

    public static JdbcVersionSupportHolder[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JdbcVersionSupportHolder c : JdbcVersionSupportHolder.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JdbcVersionSupportHolder valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getJdbcVersionSupport

    public JdbcVersionSupport getJdbcVersionSupport()